summaryrefslogtreecommitdiffstats
path: root/allow-creating-buildRoot-as-non-root-user.patch
blob: c03ea4131a4456dace170356246227735cd875d3 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
From 87f1db15ab56ab5d6f9b459fa93b6f86b5213f63 Mon Sep 17 00:00:00 2001
From: Michal Kubecek <mkubecek@suse.cz>
Date: Tue, 12 Jun 2012 14:05:11 +0200
Subject: [PATCH 1/7] allow creating buildRoot as non-root user

Do not use chown in "make buildRoot" so that it doesn't require
to be run as root.
---
 builds/install/arch-specific/linux/makeInstallImage.sh.in | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/builds/install/arch-specific/linux/makeInstallImage.sh.in b/builds/install/arch-specific/linux/makeInstallImage.sh.in
index 612e88e..03928a1 100644
--- a/builds/install/arch-specific/linux/makeInstallImage.sh.in
+++ b/builds/install/arch-specific/linux/makeInstallImage.sh.in
@@ -28,10 +28,15 @@
 # This script builds an image of the installed system into
 # the gen/buildroot directory.
 
-if [ "`whoami`" != "root" ]; then
-	echo 'You must be root to build package'
-	exit 1
-fi
+#if [ "`whoami`" != "root" ]; then
+#	echo 'You must be root to build package'
+#	exit 1
+#fi
+
+function chown
+{
+  :
+}
 
 # Making an assumption that this program is being run in the gen directory
 BuildRootDir=..
-- 
1.8.4.5